#!/bin/bash

CURRDIR=$(pwd)

# this is hopefully sometime replace by a call to the proper findjava script
function _findjava(){
 if [ "$JAVA_CMD" != "" ] ; then
   echo "Using $JAVA_CMD as java virtual machine..."
   return 0
 fi
 if [ "$JAVA_HOME" != "" ] ; then
   echo "Using JAVA_HOME and $JAVA_HOME/bin/java as java virtual machine..."
   JAVA_CMD="$JAVA_HOME/bin/java"
 else
   if [ -x /usr/bin/java ] ; then
     echo "Using default /usr/bin/java as java virtual machine..."
     JAVA_CMD="/usr/bin/java"
   else
     echo "ERROR: No java virtual machine found!"
     return 1
   fi
fi
}

if [ ! -e  $BASE ] ; then 
  export BASE=/usr/share/eclipse
fi

_findjava

ECLIPSE_APP="-classpath ${BASE}/startup.jar org.eclipse.core.launcher.Main -application org.eclipse.ant.core.antRunner "

ARGS=" -Dbuilder=${CURRDIR}/debian/update"
ARGS="${ARGS} -Dorg.eclipse.core.runtime.ignoreLockFile=true"
ARGS="${ARGS} -DbuildDirectory=${CURRDIR}" 
ARGS="${ARGS} -DbaseLocation=${BASE} -DbuildingOSGi=true"

cd debian/update

${JAVA_CMD} ${ECLIPSE_APP} -buildfile update.xml ${ARGS} $@

# and now the clean...
cd plugins
find . -name "*.so" -exec  rm -r "{}" \;
find . -name "*win32*" -exec  rm -r "{}" \;
find . -name "*Win32*" -exec  rm -r "{}" \;
find . -name "*motif*" -exec  rm -r "{}" \;
find . -name "*photon*" -exec  rm -r "{}" \;
find . -name "*common_j2me*" -exec  rm -r "{}" \;
find . -name "*carbon*" -exec  rm -r "{}" \;
